/*     LEGENDE     */
  /*   NAVBAR   */
  /*    MAIN    */
  /*    MODAL   */




body {
  background-color: #101935;
  background-size: contain;

}

span {
  font-size: 18px;
  color: #AEB9E1;
}

hr {
  border-color: rgb(255, 255, 255);
}
li {
  list-style: none;
}

#wrapper {
  position: relative;
  transition: left 0.7s ease;
  left: -8%;
}


/* NAVBAR */ 

.sidebar {
  height: 100vh;
  width: 250px;
  position: fixed;
  top: 0;
  left: -10%;
  margin: 5px;
  background-color: #17171bae;
  padding-top: 20px;
  border-right: 1px solid grey;
  transition: left 0.7s ease;
 /* border-top-right-radius: 30px;
  border-bottom-right-radius: 40px;*/
}
.sidebar:hover {
  border-right: 1px solid #e8b923;
}

.sidebar a {
  padding: 10px;
  text-decoration: none;
  font-size: 18px;
  color: #f9f3f3;
}

.sidebar a:hover {
  color: grey;
}

.sidebar ul li {
  padding: 8px;
}

#dekstop-brand {
  display: none;
  padding-bottom: 10px;
  margin-top: 20px;
  margin-left: 30%;
}

#navbar-mobile-logo {
  width: 25%;
  position: relative;
  left: 150px;
  display: block;
}

#navbar-search {
  padding-top: 10px;
  padding-bottom: 10px;
  margin-top: 20px;
  color: #101935;
  display: none;
}

#icon-nav {
  filter: invert(100%);
  width: 10%;
}

/*
#icon-nav:hover {
  background-color: #101935;
}*/

#navbar-list {
  padding-top: 20px;
  padding-bottom: 20px;
  display: none;
}

#navbar-list li {
  margin-top: 10px;
  margin-bottom: 10px;
}

#navbar-list-mobile {
  position: relative;
  left: 150px;
  top: 100px;
  display: block;
}

#navbar-list-mobile li {
  margin-bottom: 20px;

}


/* MAIN */

main {
  color: #fff;
}

#profile-username {
  font-size: 18px;
}
#profile-email {
  font-size: 14px;
  color: #525252;
}

#profile-buttons {
  padding-right: 6%;
}

#profile-button-one {
  margin: 10px;
}
#profile-button-second {
  margin: 10px;
}

.card-img {
  padding: 10px;
  padding-left: 10px;
  width: 80%;
}

.content {
  margin-left: 250px;
  padding: 20px;
}

.card {
  height: 120px;
  background-color: #172245;
  color: #ffff;
  transition: transform 0.5s;
  background: rgba(41, 43, 89, 0.38);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(9.9px);
  -webkit-backdrop-filter: blur(9.9px);
  border: 1px solid rgba(41, 43, 89, 0.29);
  /*box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 56px;
 /*box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 48px;
  /*box-shadow: rgba(0, 0, 0, 0.15) 0px 15px 25px, rgba(0, 0, 0, 0.05) 0px 5px 10px;*/
 /*box-shadow: rgba(0, 123, 255, 0.7) 0px 2px 2px, rgba(0, 123, 255, 0.7) 0px 10px 1px;
box-shadow: 0 0 10px 5px rgba(0, 123, 255, 0.7);*/
 box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
}

.card:hover {
  transform: translateY(-10px);
  animation: glow 10s infinite;
  border: 1px solid transparent;
 /* animation-timing-function: steps(1, end)*/
}

@keyframes glow {
  0% {
      box-shadow: 0 0 2px 2px rgba(0, 123, 255, 0.7); /* Initial shadow with a blue tint */
  }
  50% {
      box-shadow: 0 0 20px 10px rgba(0, 123, 255, 0.7); /* Medium glow */
  }
  100% {
      box-shadow: 0 0 20px 10px rgba(0, 123, 255, 0.7); /* No glow */
  }
}

#card-bg {
  height: 300px;
}

#card-bg-first {
  height: 300px;
  background-image: url('../img/cardBgImg.jpg');
  background-size: cover; /* Das Bild so skalieren, dass es den gesamten Hintergrund bedeckt */
  background-position: center; /* Das Bild zentrieren */
}

#card-bg-task-info {
display: block;
}

#card-task-info {
  display: none;
}

#card-task-info form input {
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  border-style: none;
  background-color: #101935;
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  box-shadow: 0 0 2px 1px rgba(0, 123, 255, 0.7);
  border-style: none;
}

#card-task-info form select {
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  border-style: none;
  background-color: #101935;
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  box-shadow: 0 0 2px 1px rgba(0, 123, 255, 0.7);
  border-style: none;
}

#newTask {
  background-color: #101935;
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  box-shadow: 0 0 2px 1px rgba(0, 123, 255, 0.7);
  border-style: none;
}

#newTask::placeholder {
  color: #fff; 
}

#select-category {
  background-color: #101935;
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  box-shadow: 0 0 2px 1px rgba(0, 123, 255, 0.7);
  border-style: none;
}
#select-category::placeholder {
  color: #fff; 
}
#select-status {
  background-color: #101935;
  color: #fff;
  /*box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.7);*/
  box-shadow: 0 0 2px 1px rgba(0, 123, 255, 0.7);
  border-style: none;
}

#select-status::placeholder {
  color: #fff; 
}

#comment::placeholder {
  color: #fff;
}

.task a {
  color: #ffffff;
  font-size: 12px;
}

.email-task {
  font-size: 10px;
}

.btn-all-tasks {
  background-color: #101935;
}

#startStopBtn {
  height: 35%;
  font-size: 11px;
}

#resetBtn {
  height: 35%;
  font-size: 11px;
}

#editTask {
  height: fit-content;
  min-height: 450px;
}

#all-task-btn{
  display: flex;
  justify-content: center;
}

.liste-task ul li {

  margin: 10px;
}

/* MODAL */

.modal-container {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  width: 30%;
  height: 100%;
  background: #101935;
  justify-content: center;
  align-items: center;
}

.modal-content {
  width: 100%;
  padding: 15%;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  text-align: center;
}

#updateTask::placeholder {
  color: #fff;
}

#close-btn {
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 18px;
}

#card-icon {
  align-items: center;
  text-align: center;
}

.success {
  color: green;
  font-family: 'Courier New', Courier, monospace;
  font-size: 18px;
}

/* LOADER */

/* HTML: <div class="loader"></div> */

#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9); /* Halbtransparenter Hintergrund */
  z-index: 9999; /* Hohe Z-Index, um über anderen Inhalten zu liegen */
  display: none; /* Standardmäßig versteckt */
}

.loader {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #6634db;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -60px; /* Hälfte der Höhe */
  margin-left: -60px; /* Hälfte der Breite */
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}